<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ServiceContent StructType
 * @subpackage Structs
 */
class ServiceContent extends AbstractStructBase
{
    /**
     * The ServiceContentRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_ServiceContentRQ
     */
    public $ServiceContentRQ;
    /**
     * Constructor method for ServiceContent
     * @uses ServiceContent::setServiceContentRQ()
     * @param \StructType\JP_ServiceContentRQ $serviceContentRQ
     */
    public function __construct(\StructType\JP_ServiceContentRQ $serviceContentRQ = null)
    {
        $this
            ->setServiceContentRQ($serviceContentRQ);
    }
    /**
     * Get ServiceContentRQ value
     * @return \StructType\JP_ServiceContentRQ|null
     */
    public function getServiceContentRQ()
    {
        return $this->ServiceContentRQ;
    }
    /**
     * Set ServiceContentRQ value
     * @param \StructType\JP_ServiceContentRQ $serviceContentRQ
     * @return \StructType\ServiceContent
     */
    public function setServiceContentRQ(\StructType\JP_ServiceContentRQ $serviceContentRQ = null)
    {
        $this->ServiceContentRQ = $serviceContentRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\ServiceContent
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
